
From: Nishanth Aravamudan <nacc@us.ibm.com>

Uses msleep() in place of schedule_timeout() to guarantee the task delays as
expected.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ide/legacy/ide-cs.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/ide/legacy/ide-cs.c~janitor-ide-ide-cs-replace-schedule_timeout-with-msleep drivers/ide/legacy/ide-cs.c
--- devel/drivers/ide/legacy/ide-cs.c~janitor-ide-ide-cs-replace-schedule_timeout-with-msleep	2005-08-08 23:16:55.000000000 -0700
+++ devel-akpm/drivers/ide/legacy/ide-cs.c	2005-08-08 23:16:55.000000000 -0700
@@ -43,6 +43,7 @@
 #include <linux/ide.h>
 #include <linux/hdreg.h>
 #include <linux/major.h>
+#include <linux/delay.h>
 #include <asm/io.h>
 #include <asm/system.h>
 
@@ -340,8 +341,7 @@ static void ide_config(dev_link_t *link)
 		break;
 	    }
 	}
-	__set_current_state(TASK_UNINTERRUPTIBLE);
-	schedule_timeout(HZ/10);
+	msleep(100);
     }
 
     if (hd < 0) {
_
